# WOK
TKWOK
WOKStep

# WOKStep_WNTK Class Reference

`#include <WOKStep_WNTK.hxx>`

Inheritance diagram for WOKStep_WNTK:

[legend]

## Public Member Functions

Standard_EXPORT | WOKStep_WNTK (const Handle(WOKMake_BuildProcess)&abp, const Handle(WOKernel_DevUnit)&aunit, const Handle(TCollection_HAsciiString)&acode, const Standard_Boolean checked, const Standard_Boolean hidden)
Standard_EXPORT Standard_Boolean | HandleInputFile (const Handle(WOKMake_InputFile)&anItem)
| 1 - Adds File In list if file is compilable or an admfile 2 - Sets Build Flag if file is a compilable
Standard_EXPORT void | Execute (const Handle(WOKMake_HSequenceOfInputFile)&anExecList)
| Executes step Computes output files .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT WOKStep_WNTK::WOKStep_WNTK | ( | const Handle(WOKMake_BuildProcess)& | abp,
|  | const Handle(WOKernel_DevUnit)& | aunit,
|  | const Handle(TCollection_HAsciiString)& | acode,
|  | const Standard_Boolean | checked,
|  | const Standard_Boolean | hidden
| ) |

## Member Function Documentation

Standard_EXPORT void WOKStep_WNTK::Execute | ( | const Handle(WOKMake_HSequenceOfInputFile)& | anExecList | ) | `[virtual]`

| Reimplemented from WOKStep_TKList.

Standard_EXPORT const WOKStep_WNTK::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKStep_TKList.

Standard_EXPORT Standard_Boolean WOKStep_WNTK::HandleInputFile | ( | const Handle(WOKMake_InputFile)& | anItem | ) | `[virtual]`

| Reimplemented from WOKStep_TKList.

The documentation for this class was generated from the following file:

- WOKStep_WNTK.hxx